Python
from magic_hour import Client
from os import getenv
client = Client(token=getenv("API_TOKEN"))
res = client.v1.ai_voice_generator.generate(
style={"prompt": "Hello, how are you?", "voice_name": "Elon Musk"},
name="Voice Generator audio",
wait_for_completion=True,
download_outputs=True,
download_directory="."
)import { Client } from "magic-hour";
const client = new Client({ token: process.env["API_TOKEN"]!! });
const res = await client.v1.aiVoiceGenerator.generate(
{
name: "Voice Generator audio",
style: { prompt: "Hello, how are you?", voiceName: "Elon Musk" },
},
{
waitForCompletion: true,
downloadOutputs: true,
downloadDirectory: ".",
},
);package main
import (
os "os"
sdk "github.com/magichourhq/magic-hour-go/client"
nullable "github.com/magichourhq/magic-hour-go/nullable"
ai_voice_generator "github.com/magichourhq/magic-hour-go/resources/v1/ai_voice_generator"
types "github.com/magichourhq/magic-hour-go/types"
)
func main() {
client := sdk.NewClient(
sdk.WithBearerAuth(os.Getenv("API_TOKEN")),
)
res, err := client.V1.AiVoiceGenerator.Create(ai_voice_generator.CreateRequest{
Name: nullable.NewValue("My Voice Generator audio"),
Style: types.V1AiVoiceGeneratorCreateBodyStyle{
Prompt: "Hello, how are you?",
VoiceName: types.V1AiVoiceGeneratorCreateBodyStyleVoiceNameEnumElonMusk,
},
})
}let client = magic_hour::Client::default()
.with_bearer_auth(&std::env::var("API_TOKEN").unwrap());
let res = client
.v1()
.ai_voice_generator()
.create(magic_hour::resources::v1::ai_voice_generator::CreateRequest {
name: Some("My Voice Generator audio".to_string()),
style: magic_hour::models::V1AiVoiceGeneratorCreateBodyStyle {
prompt: "Hello, how are you?".to_string(),
voice_name: magic_hour::models::V1AiVoiceGeneratorCreateBodyStyleVoiceNameEnum::ElonMusk,
},
})
.await;curl --request POST \
--url https://api.magichour.ai/v1/ai-voice-generator \
--header 'accept: application/json' \
--header 'authorization: Bearer <token>' \
--header 'content-type: application/json' \
--data '
{
"name": "My Voice Generator audio",
"style": {
"prompt": "Hello, how are you?",
"voice_name": "Elon Musk"
}
}
'
{
"id": "cuid-example",
"credits_charged": 1
}{
"message": "Missing request body"
}{
"message": "Unauthorized"
}{
"message": "Payment required"
}{
"message": "Not Found"
}{
"message": "Unable to generate speech"
}Audio Projects
AI Voice Generator API Reference - Magic Hour Docs
Generate speech from text. Each character costs 0.05 credits. The cost is rounded up to the nearest whole number.
POST
/
v1
/
ai-voice-generator
Python
from magic_hour import Client
from os import getenv
client = Client(token=getenv("API_TOKEN"))
res = client.v1.ai_voice_generator.generate(
style={"prompt": "Hello, how are you?", "voice_name": "Elon Musk"},
name="Voice Generator audio",
wait_for_completion=True,
download_outputs=True,
download_directory="."
)import { Client } from "magic-hour";
const client = new Client({ token: process.env["API_TOKEN"]!! });
const res = await client.v1.aiVoiceGenerator.generate(
{
name: "Voice Generator audio",
style: { prompt: "Hello, how are you?", voiceName: "Elon Musk" },
},
{
waitForCompletion: true,
downloadOutputs: true,
downloadDirectory: ".",
},
);package main
import (
os "os"
sdk "github.com/magichourhq/magic-hour-go/client"
nullable "github.com/magichourhq/magic-hour-go/nullable"
ai_voice_generator "github.com/magichourhq/magic-hour-go/resources/v1/ai_voice_generator"
types "github.com/magichourhq/magic-hour-go/types"
)
func main() {
client := sdk.NewClient(
sdk.WithBearerAuth(os.Getenv("API_TOKEN")),
)
res, err := client.V1.AiVoiceGenerator.Create(ai_voice_generator.CreateRequest{
Name: nullable.NewValue("My Voice Generator audio"),
Style: types.V1AiVoiceGeneratorCreateBodyStyle{
Prompt: "Hello, how are you?",
VoiceName: types.V1AiVoiceGeneratorCreateBodyStyleVoiceNameEnumElonMusk,
},
})
}let client = magic_hour::Client::default()
.with_bearer_auth(&std::env::var("API_TOKEN").unwrap());
let res = client
.v1()
.ai_voice_generator()
.create(magic_hour::resources::v1::ai_voice_generator::CreateRequest {
name: Some("My Voice Generator audio".to_string()),
style: magic_hour::models::V1AiVoiceGeneratorCreateBodyStyle {
prompt: "Hello, how are you?".to_string(),
voice_name: magic_hour::models::V1AiVoiceGeneratorCreateBodyStyleVoiceNameEnum::ElonMusk,
},
})
.await;Authorizations
Bearer authentication header of the form Bearer <api_key>, where <api_key> is your API key. To get your API key, go to Developer Hub and click "Create new API Key".
Body
application/json
Body
Response
Success
Success
Unique ID of the audio. Use it with the Get audio Project API to fetch status and downloads.
Example:
"cuid-example"
The amount of credits deducted from your account to generate the audio. We charge credits right when the request is made.
If an error occurred while generating the audio, credits will be refunded and this field will be updated to include the refund.
Example:
1
Was this page helpful?
⌘I